Bug 301991 - Disabling ACPI results in no networking (laptop)
Disabling ACPI results in no networking (laptop)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-22 22:41 EDT by Gian Paolo Mureddu
Modified: 2008-02-15 21:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 21:42:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.6.22.5 Fedora 7 kernel configuration. (75.78 KB, text/plain)
2007-09-22 22:41 EDT, Gian Paolo Mureddu
no flags Details
Linux Mint kenrel configuration (working ACPI) (81.28 KB, text/plain)
2007-09-22 22:45 EDT, Gian Paolo Mureddu
no flags Details

  None (edit)
Description Gian Paolo Mureddu 2007-09-22 22:41:47 EDT
Description of problem:

In order to install Fedora 7 onto an Acer Aspire 5050-4697 it is necessary to
start the installer and the system once installed with the kernel command line
boot option acpi=off. The problem with this on this particular model (I'm not
sure if it also happens on other machines) is that when booting the sysem
without the acpi=off argument, the system stalls at boot, like a hang. Upon
removing 'quiet' from the kernel command line, there are two messages before the
system stalls:

ACPI Exception (processor_core-0781): AE_NOT_FOUND, Processor Device is not
present [20070126]
Switched to high resolution mode on CPU #0

Unfortunately, there is no record of the failed boot in the logs upon reboot
with acpi=off. But there is also another problem when booting with acpi=off,
there is no network connectivity. The device is there (in this case eth0 is an
RTL 8139), but upon bringing it up, it never connects. In order to conduct a
test, I used a LiveCD distribution, Linux Mint in this case, to try and isolate
the issue. The kernel in this LiveCD is 2.6.20, and it boots with ACPI enabled
just fine on this equipment (network connects and functions normally), however
upon disabling ACPI, I was able to reproduce the issue of Fedora.

I am unable to send a smolt profile, due to the lack of networking. However,
here is the output of lspci -vv: http://pastebin.com/f73903a30

The installation F7 i386 DVD has kernel panic upon boot, as do both images of
FC6 (i386 and x86_64).


Version-Release number of selected component (if applicable):

This happens with kernels as back as 2.6.15 in FC5 install DVD, however the
latest 2.6.22.5-76_fc7 in Fedora 7 presents the very same problem.


How reproducible:

Always

Steps to Reproduce:
1. Boot the system with ACPI enabled (default)
2.
3.
  
Actual results:

System stalls with above mentioned messages being the last two printed to the
screen, acpi=off results in no network connection possible.

Expected results:

The system to boot normally.

Additional info:
Comment 1 Gian Paolo Mureddu 2007-09-22 22:41:47 EDT
Created attachment 203311 [details]
2.6.22.5 Fedora 7 kernel configuration.
Comment 2 Gian Paolo Mureddu 2007-09-22 22:45:39 EDT
Created attachment 203321 [details]
Linux Mint kenrel configuration (working ACPI)
Comment 3 Gian Paolo Mureddu 2007-09-24 01:31:48 EDT
I don't know why, but adding noapic and nolapic command line kernel options got
the network working with acpi=off, still the base problem is there, why do some
systems require acpi to be completely disabled?
Comment 4 Christopher Brown 2008-01-13 19:40:01 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 5 Christopher Brown 2008-02-15 21:42:17 EST
Closing as per previous comment. Please re-open if this is still an issue for you.

Note You need to log in before you can comment on or make changes to this bug.